gr::gfdm::channel_estimator_cc_impl Class Reference

`#include <channel_estimator_cc_impl.h>`

Inheritance diagram for gr::gfdm::channel_estimator_cc_impl:
[legend]

## Public Member Functions

| channel_estimator_cc_impl (int timeslots, int fft_len, int active_subcarriers, bool is_dc_free, int which_estimator, std::vector< gr_complex > preamble)
| ~channel_estimator_cc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | fixed_rate_ninput_to_noutput (int ninput)
int | fixed_rate_noutput_to_ninput (int noutput)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::gfdm::channel_estimator_cc
typedef boost::shared_ptr< channel_estimator_cc > | sptr
Static Public Member Functions inherited from gr::gfdm::channel_estimator_cc
static sptr | make (int timeslots, int fft_len, int active_subcarriers, bool is_dc_free, int which_estimator, std::vector< gr_complex > preamble)
| Return a shared_ptr to a new instance of gfdm::channel_estimator_cc.

## Constructor & Destructor Documentation

## channel_estimator_cc_impl()

gr::gfdm::channel_estimator_cc_impl::channel_estimator_cc_impl | ( | int | timeslots,
|  | int | fft_len,
|  | int | active_subcarriers,
|  | bool | is_dc_free,
|  | int | which_estimator,
|  | std::vector< gr_complex > | preamble
| ) |  |

## ~channel_estimator_cc_impl()

gr::gfdm::channel_estimator_cc_impl::~channel_estimator_cc_impl | ( |  | ) |

## Member Function Documentation

## fixed_rate_ninput_to_noutput()

int gr::gfdm::channel_estimator_cc_impl::fixed_rate_ninput_to_noutput | ( | int | ninput | ) |

## fixed_rate_noutput_to_ninput()

int gr::gfdm::channel_estimator_cc_impl::fixed_rate_noutput_to_ninput | ( | int | noutput | ) |

## forecast()

void gr::gfdm::channel_estimator_cc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::gfdm::channel_estimator_cc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- channel_estimator_cc_impl.h